Bug 313371 - Review Request: tempest - An OpenGL screensaver for KDE
Review Request: tempest - An OpenGL screensaver for KDE
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Bradshaw
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-30 19:22 EDT by Ian Chapman
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 21:52:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Modified tempest.conf for xscreensaver (25 bytes, text/plain)
2007-10-02 12:24 EDT, Mamoru TASAKA
no flags Details

  None (edit)
Description Ian Chapman 2007-09-30 19:22:59 EDT
Spec URL: http://dribble.org.uk/reviews/tempest.spec
SRPM URL: http://dribble.org.uk/reviews/tempest-0-0.1.20070929.src.rpm
Description: 

Tempest is a screensaver based on a physical model whereby particles are
attracted to their neighbors.


rpmlint info:
W: tempest no-documentation

This is because there is no documentation.
Comment 1 Marc Bradshaw 2007-09-30 23:20:33 EDT
OK -  Meets Packaging Guidelines.
OK -  Package named correctly
OK -  Patches named correctly
OK -  Spec file named correctly to match base
OK -  License is valid
OK -  Licence field matches package
OK *1 Licence file installed if supplied
      Not supplied
OK -  Spec file in American English
OK -  Source matches upstream (md5)
      bf04f2beb07b227a3e91536c5dbdb872
NA -  Locales use %find_lang
      No locales
OK -  %clean is present and correct
OK -  Package has correct buildroot.
OK -  Specfile Legible
OK -  Builds in Mock
      F7-i386
NA -  %post/%postun calls ldconfig for sh libs
      No libs
NA -  Owns directories it creates
      Does not create any directories
OK -  No duplicate files
OK -  Has %defattr and has correct permissions
OK -  Macros used consistantly
NA -  %doc does not affect runtime
      No documentation
NA -  Headers/static libs in -devel
NA - .pc files in -devel
NA - .so files in -devel
NA - -devel requires base
      No devel files
OK -  Contains no .la libtool archive files
OK -  Does not own others files
OK -  .desktop files installed correctly
OK -  BuildRequires correct.
OK -  Package is code or permissible content.
OK -  Package has rm -rf %{buildroot} at top of %install.
OK -  Package compiles and builds on at least one arch.
      F7-i386
OK -  rpmlint output.
      W: no-documentation, ok as there is no documentation.
NA -  documentation in -doc package
      No documentation
OK -  final provides and requires are sane.
OK -  should have dist tag
OK *1 should package latest version
      Upstream does not have version info, date used.

Screensaver installs and works as expected (looks great too).

*1 Should consider contacting upstream regarding including License text in
   release and to ask them to consider using a version number.

That being said, *APPROVED*
Comment 2 Mamoru TASAKA 2007-10-01 02:04:29 EDT
Well, as xscreensaver maintainer:

I checked tempest and it is found that tempest can
be used for xscreensaver (as the upstream URL
http://www.personal.utulsa.edu/~dan-guernsey/ says) , so
this can also be used for gnome-screensaver.

So I think supporting xscreensaver, gnome-screensaver as well
as KDE is preferable. You can check how rss-glx (maintained
by Nils Philippsen) deals these 3 screensavers.

http://cvs.fedoraproject.org/viewcvs/*checkout*/devel/rss-glx/rss-glx.spec
Comment 3 Mamoru TASAKA 2007-10-01 05:43:33 EDT
A try to support xscreensaver, gnome-screensaver and kxs

SRPM:
http://mtasaka.fedorapeople.org/Review_request/tempest/tempest-0-0.2.20070929.fc7.src.rpm

SPEC:
http://mtasaka.fedorapeople.org/Review_request/tempest/tempest.spec
Comment 4 Ian Chapman 2007-10-01 08:24:55 EDT
Thanks Mamoru, I'll look into that and support them too if possible. I also have
several other screensavers waiting for review so I'll check those too.


Marc, if you don't mind doing a quick check on the next update when I post it,
just to make sure it stays "APPROVED", that would be appreciated. Thanks.
Comment 5 Mamoru TASAKA 2007-10-01 09:17:57 EDT
(In reply to comment #4)
> Thanks Mamoru, I'll look into that and support them too if possible.
> I also have
> several other screensavers waiting for review so I'll check those too.

If you ping me on those screensaver review requests, perhaps
I can help you to support xscreensaver, gnome-screensaver as well
as kxscreensaver. I want to get many screensaver hacks into Fedora
as xscreensaver maintainer!!
Comment 6 Ian Chapman 2007-10-01 09:28:37 EDT
(In reply to comment #5)

> If you ping me on those screensaver review requests, perhaps
> I can help you to support xscreensaver, gnome-screensaver as well
> as kxscreensaver. I want to get many screensaver hacks into Fedora
> as xscreensaver maintainer!!

No problem, I've put you in the CC field of the other screensaver reviews so you
should be able to find them and see any comments when they get made.
Additionally the BZ numbers are:

BZ #313201
BZ #313211
BZ #313221
Comment 7 Ian Chapman 2007-10-01 14:47:36 EDT
Here's the latest version. It's essentially indentical to Mamoru Tasaka's with
some whitespace changes (easier on my eyes) and some minor alterations to the
descriptions.

Spec URL: http://dribble.org.uk/reviews/tempest.spec
SRPM URL: http://dribble.org.uk/reviews/tempest-0-0.3.20070929.src.rpm

If you could give it a quick glance over Marc and let me know if it's still
approved. Thanks.
Comment 8 Mamoru TASAKA 2007-10-02 12:24:53 EDT
Created attachment 213661 [details]
Modified tempest.conf for xscreensaver

* A unneeded line is found in tempest.conf (for xscreensaver).
  Please use the new tempest.conf attached.

Other things are okay. You can proceed to CVS request.
Comment 9 Ian Chapman 2007-10-02 14:38:18 EDT
Thanks for the review. I'll use the new tempest.conf before import
Comment 10 Ian Chapman 2007-10-02 14:40:49 EDT
New Package CVS Request
=======================
Package Name: tempest
Short Description: An OpenGL screensaver for KDE
Owners: oddsocks
Branches: FC6 F7
InitialCC: <empty>
Cvsextras Commits: Yes
Comment 11 Marc Bradshaw 2007-10-02 18:38:22 EDT
also, still approved.
Comment 12 Kevin Fenzi 2007-10-03 22:37:32 EDT
cvs done.
Comment 13 Ian Chapman 2007-10-04 21:52:04 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.